# Uses of Interface
org.springframework.expression.MethodFilter

Packages that use MethodFilter
Package
Description
org.springframework.expression.spel.support
SpEL's default implementations for various core abstractions.

## Uses of MethodFilter in org.springframework.expression.spel.support

Methods in org.springframework.expression.spel.support with parameters of type MethodFilter
Modifier and Type
Method
Description
`void`
ReflectiveMethodResolver.`registerMethodFilter(Class<?> type, MethodFilter filter)`
Register a filter for methods on the given type.
`void`
StandardEvaluationContext.`registerMethodFilter(Class<?> type, MethodFilter filter)`
Register a `MethodFilter` which will be called during method resolution for the specified type.